"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ExhibitionSection;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _ExhibitionSection = _interopRequireDefault(require("../../../styles/cspace/ExhibitionSection.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  exhibition: _propTypes.default.shape({
    title: _propTypes.default.string,
    generalNote: _propTypes.default.string,
    curatorialNote: _propTypes.default.string
  }),
  historyNote: _propTypes.default.string,
  ownerConrtibutionNote: _propTypes.default.string,
  viewerContributionNote: _propTypes.default.string
};
const defaultProps = {
  exhibition: undefined,
  historyNote: undefined,
  ownerConrtibutionNote: undefined,
  viewerContributionNote: undefined
};
const messages = (0, _reactIntl.defineMessages)({
  objectStoryHeader: {
    "id": "exhibitionSection.objectStoryHeader",
    "defaultMessage": "Object Story"
  },
  donorStoryHeader: {
    "id": "exhibitionSection.donorStoryHeader",
    "defaultMessage": "Donor Story"
  },
  curatorialStoryHeader: {
    "id": "exhibitionSection.curatorialStoryHeader",
    "defaultMessage": "Curatorial Story"
  }
});
function ExhibitionSection(props) {
  const {
    exhibition,
    historyNote,
    viewerContributionNote,
    ownerConrtibutionNote
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ExhibitionSection.default.common
  }, /*#__PURE__*/_react.default.createElement("hr", null), /*#__PURE__*/_react.default.createElement("h1", null, exhibition.title), /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("h2", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.objectStoryHeader)), /*#__PURE__*/_react.default.createElement("div", null, historyNote), /*#__PURE__*/_react.default.createElement("h2", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.donorStoryHeader)), /*#__PURE__*/_react.default.createElement("div", null, ownerConrtibutionNote), /*#__PURE__*/_react.default.createElement("div", null, exhibition.generalNote), /*#__PURE__*/_react.default.createElement("h2", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.curatorialStoryHeader)), /*#__PURE__*/_react.default.createElement("div", null, viewerContributionNote), /*#__PURE__*/_react.default.createElement("div", null, exhibition.curatorialNote));
}
ExhibitionSection.propTypes = propTypes;
ExhibitionSection.defaultProps = defaultProps;