"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _FieldList = _interopRequireDefault(require("./FieldList"));
var _ImageGalleryContainer = _interopRequireDefault(require("./ImageGalleryContainer"));
var _PanelTitle = _interopRequireDefault(require("../layout/PanelTitle"));
var _config = _interopRequireDefault(require("../../config"));
var _InstitutionHoldingList = _interopRequireDefault(require("../../../styles/cspace/InstitutionHoldingList.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "institutionHoldingList.title",
    "defaultMessage": "Samples at {title}"
  }
});
const propTypes = {
  hits: _propTypes.default.arrayOf(_propTypes.default.shape({
    _source: _propTypes.default.shape({
      'collectionspace_core:uri': _propTypes.default.string
    })
  })),
  institutionConfig: _propTypes.default.shape({
    title: _propTypes.default.string
  }).isRequired,
  institutionId: _propTypes.default.string.isRequired,
  isExpanded: _propTypes.default.bool,
  isSelected: _propTypes.default.bool,
  expandPanel: _propTypes.default.func,
  referenceValue: _propTypes.default.string.isRequired,
  togglePanel: _propTypes.default.func
};
const defaultProps = {
  hits: [],
  isExpanded: false,
  isSelected: false,
  expandPanel: () => undefined,
  togglePanel: () => undefined
};
const renderResult = data => {
  const {
    'collectionspace_core:uri': uri
  } = data;
  return /*#__PURE__*/_react.default.createElement("li", {
    key: uri
  }, /*#__PURE__*/_react.default.createElement(_FieldList.default, {
    config: _config.default.get('institutionHoldings').detailFields,
    data: data
  }));
};
class InstitutionHoldingList extends _react.Component {
  constructor() {
    super();
    this.ref = /*#__PURE__*/_react.default.createRef();
  }
  componentDidMount() {
    const {
      isSelected
    } = this.props;
    if (isSelected) {
      this.focus();
    }
  }
  componentDidUpdate(prevProps) {
    const {
      isSelected: prevIsSelected
    } = prevProps;
    const {
      isSelected
    } = this.props;
    if (isSelected && !prevIsSelected) {
      this.focus();
    }
  }
  focus() {
    const {
      expandPanel
    } = this.props;
    const domNode = this.ref.current;
    if (domNode) {
      window.setTimeout(() => {
        expandPanel();
        domNode.scrollIntoView();
      }, 0);
    }
  }
  renderContent() {
    const {
      hits,
      institutionId,
      isExpanded,
      referenceValue
    } = this.props;
    if (isExpanded) {
      return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_ImageGalleryContainer.default, {
        institutionId: institutionId,
        referenceValue: referenceValue
      }), /*#__PURE__*/_react.default.createElement("ul", null, hits.map(hit => renderResult(hit._source))));
    }
    return null;
  }
  renderTitle() {
    const {
      hits,
      institutionConfig,
      isExpanded,
      togglePanel
    } = this.props;
    const {
      title
    } = institutionConfig;
    const formattedTitle = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage
    // eslint-disable-next-line react/jsx-props-no-spreading
    , _extends({}, messages.title, {
      tagName: "h2",
      values: {
        title,
        count: hits.length
      }
    }));
    return /*#__PURE__*/_react.default.createElement(_PanelTitle.default, {
      isExpanded: isExpanded,
      title: formattedTitle,
      onClick: togglePanel
    });
  }
  render() {
    const {
      hits
    } = this.props;
    if (hits.length === 0) {
      return null;
    }
    const {
      institutionId,
      isExpanded
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("section", {
      className: isExpanded ? _InstitutionHoldingList.default.expanded : _InstitutionHoldingList.default.collapsed,
      id: institutionId,
      ref: this.ref
    }, this.renderTitle(), this.renderContent());
  }
}
exports.default = InstitutionHoldingList;
InstitutionHoldingList.propTypes = propTypes;
InstitutionHoldingList.defaultProps = defaultProps;