"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InstitutionIndex;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _get = _interopRequireDefault(require("lodash/get"));
var _reactIntl = require("react-intl");
var _config = _interopRequireDefault(require("../../config"));
var _Link = _interopRequireDefault(require("../../../styles/cspace/Link.css"));
var _InstitutionIndex = _interopRequireDefault(require("../../../styles/cspace/InstitutionIndex.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "institutionIndex.label",
    "defaultMessage": "Holdings at {title}"
  }
});
const propTypes = {
  holdingInstitutions: _propTypes.default.instanceOf(_immutable.default.Set).isRequired
};
function InstitutionIndex(props) {
  const {
    holdingInstitutions
  } = props;
  const institutions = _config.default.get('institutions');
  const links = holdingInstitutions.map(institutionId => {
    const title = (0, _get.default)(institutions, [institutionId, 'title']);
    return /*#__PURE__*/_react.default.createElement("li", {
      key: institutionId
    }, /*#__PURE__*/_react.default.createElement("a", {
      className: _Link.default.hash,
      href: `#${institutionId}`
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage
    // eslint-disable-next-line react/jsx-props-no-spreading
    , _extends({}, messages.label, {
      values: {
        title
      }
    }))));
  });
  if (links.size === 0) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement("nav", {
    className: _InstitutionIndex.default.common
  }, /*#__PURE__*/_react.default.createElement("ul", null, links));
}
InstitutionIndex.propTypes = propTypes;