"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Panel = _interopRequireDefault(require("../../../styles/cspace/Panel.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  id: _propTypes.default.string.isRequired,
  children: _propTypes.default.oneOfType([_propTypes.default.element, _propTypes.default.arrayOf(_propTypes.default.element)]),
  title: _propTypes.default.element,
  isExpanded: _propTypes.default.bool,
  onHeaderClick: _propTypes.default.func
};
const defaultProps = {
  children: undefined,
  isExpanded: false,
  onHeaderClick: () => undefined,
  title: undefined
};
class Panel extends _react.Component {
  constructor() {
    super();
    this.handleHeaderButtonClick = this.handleHeaderButtonClick.bind(this);
  }
  handleHeaderButtonClick() {
    const {
      id,
      onHeaderClick
    } = this.props;
    onHeaderClick(id);
  }
  render() {
    const {
      children,
      isExpanded,
      title
    } = this.props;
    const className = isExpanded ? _Panel.default.expanded : _Panel.default.collapsed;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: className
    }, /*#__PURE__*/_react.default.createElement("header", null, /*#__PURE__*/_react.default.createElement("button", {
      onClick: this.handleHeaderButtonClick,
      "aria-expanded": isExpanded,
      type: "button"
    }, title)), isExpanded ? children : undefined);
  }
}
exports.default = Panel;
Panel.propTypes = propTypes;
Panel.defaultProps = defaultProps;