"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactIntl = require("react-intl");
var _IconButton = _interopRequireDefault(require("./IconButton"));
var _ScrollTopButton = _interopRequireDefault(require("../../../styles/cspace/ScrollTopButton.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* global window */

const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "scrollTopButton.label",
    "defaultMessage": "Back to top"
  }
});
const scrollTop = () => {
  if (window.scrollTo) {
    window.scrollTo({
      left: 0,
      top: 0
    });
  }
};
class ScrollTopButton extends _react.Component {
  constructor() {
    super();
    this.handleScroll = this.handleScroll.bind(this);
    this.state = {
      visible: false
    };
  }
  componentDidMount() {
    window.addEventListener('scroll', this.handleScroll);
    this.setVisibility();
  }
  componentWillUnmount() {
    window.removeEventListener('scroll', this.handleScroll);
  }
  handleScroll() {
    this.setVisibility();
  }
  setVisibility() {
    const {
      visible
    } = this.state;
    const nextVisible = window.document.scrollingElement.scrollTop > 0;
    if (visible !== nextVisible) {
      this.setState({
        visible: nextVisible
      });
    }
  }
  render() {
    const {
      visible
    } = this.state;
    return /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      className: visible ? _ScrollTopButton.default.common : _ScrollTopButton.default.hidden,
      labelMessage: messages.label,
      onClick: scrollTop
    });
  }
}
exports.default = ScrollTopButton;