"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ToggleFilterPanelButton;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _IconButton = _interopRequireDefault(require("./IconButton"));
var _ToggleFilterPanelButton = _interopRequireDefault(require("../../../styles/cspace/ToggleFilterPanelButton.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  isFilterPanelExpanded: _propTypes.default.bool,
  onClick: _propTypes.default.func.isRequired
};
const defaultProps = {
  isFilterPanelExpanded: false
};
const messages = (0, _reactIntl.defineMessages)({
  hideLabel: {
    "id": "toggleFilterPanelButton.hide.label",
    "defaultMessage": "Hide filters"
  },
  showLabel: {
    "id": "toggleFilterPanelButton.show.label",
    "defaultMessage": "Show filters"
  }
});
function ToggleFilterPanelButton(props) {
  const {
    isFilterPanelExpanded,
    onClick
  } = props;
  return /*#__PURE__*/_react.default.createElement(_IconButton.default, {
    className: isFilterPanelExpanded ? _ToggleFilterPanelButton.default.expanded : _ToggleFilterPanelButton.default.collapsed,
    labelMessage: isFilterPanelExpanded ? messages.hideLabel : messages.showLabel,
    onClick: onClick
  });
}
ToggleFilterPanelButton.propTypes = propTypes;
ToggleFilterPanelButton.defaultProps = defaultProps;