"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _bodyClassName = _interopRequireDefault(require("../../helpers/bodyClassName"));
var _ScrollTopButton = _interopRequireDefault(require("../layout/ScrollTopButton"));
var _DetailPanelContainer = _interopRequireDefault(require("../detail/DetailPanelContainer"));
var _DetailPage = _interopRequireDefault(require("../../../styles/cspace/DetailPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* global window */

const propTypes = {
  location: _propTypes.default.shape({
    search: _propTypes.default.string.isRequired,
    state: _propTypes.default.shape({
      index: _propTypes.default.number
    })
  }).isRequired,
  match: _propTypes.default.shape({
    params: _propTypes.default.shape({
      csid: _propTypes.default.string
    })
  }).isRequired,
  params: _propTypes.default.instanceOf(_immutable.default.Map),
  onLeave: _propTypes.default.func,
  onLocationChange: _propTypes.default.func
};
const defaultProps = {
  onLeave: () => undefined,
  onLocationChange: () => undefined,
  params: undefined
};
class DetailPage extends _react.Component {
  componentDidMount() {
    window.document.body.classList.add((0, _bodyClassName.default)(_DetailPage.default.common));
    if (window.scrollTo) {
      window.scrollTo({
        left: 0,
        top: 0
      });
    }
    this.handleLocationChange();
  }
  componentDidUpdate(prevProps) {
    const {
      location
    } = this.props;
    const {
      location: prevLocation
    } = prevProps;
    if (location !== prevLocation) {
      this.handleLocationChange();
    }
  }
  componentWillUnmount() {
    const {
      onLeave
    } = this.props;
    window.document.body.classList.remove((0, _bodyClassName.default)(_DetailPage.default.common));
    onLeave();
  }
  handleLocationChange() {
    const {
      location,
      match,
      onLocationChange
    } = this.props;
    onLocationChange(location, match);
  }
  render() {
    const {
      params
    } = this.props;
    if (!params) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _DetailPage.default.common
    }, /*#__PURE__*/_react.default.createElement(_DetailPanelContainer.default, {
      params: params
    }), /*#__PURE__*/_react.default.createElement(_ScrollTopButton.default, null));
  }
}
exports.default = DetailPage;
DetailPage.propTypes = propTypes;
DetailPage.defaultProps = defaultProps;