"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RootPage;
var _react = _interopRequireDefault(require("react"));
var _reactIntl = require("react-intl");
var _reactRouter = require("react-router");
var _reactHelmet = _interopRequireDefault(require("react-helmet"));
var _DetailPageContainer = _interopRequireDefault(require("./DetailPageContainer"));
var _SearchPageContainer = _interopRequireDefault(require("./SearchPageContainer"));
var _config = _interopRequireDefault(require("../../config"));
var _RootPage = _interopRequireDefault(require("../../../styles/cspace/RootPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "RootPage.title",
    "defaultMessage": "Collection Browser"
  }
});
function RootPage() {
  const intl = (0, _reactIntl.useIntl)();
  const title = intl.formatMessage(messages.title);
  const detailPath = _config.default.get('detailPath');
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _RootPage.default.common
  }, /*#__PURE__*/_react.default.createElement(_reactHelmet.default, {
    defaultTitle: title,
    titleTemplate: `%s | ${title}`
  }, /*#__PURE__*/_react.default.createElement("meta", {
    name: "viewport",
    content: "width=device-width"
  })), /*#__PURE__*/_react.default.createElement(_reactRouter.Switch, null, /*#__PURE__*/_react.default.createElement(_reactRouter.Route, {
    path: "/search",
    component: _SearchPageContainer.default
  }), /*#__PURE__*/_react.default.createElement(_reactRouter.Route, {
    path: `/${detailPath}/:csid`,
    component: _DetailPageContainer.default
  })));
}