"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactHelmet = _interopRequireDefault(require("react-helmet"));
var _reactIntl = require("react-intl");
var _reactRouter = require("react-router");
var _immutable = _interopRequireDefault(require("immutable"));
var _bodyClassName = _interopRequireDefault(require("../../helpers/bodyClassName"));
var _Fixed = _interopRequireDefault(require("../layout/Fixed"));
var _FilterPanelContainer = _interopRequireDefault(require("../search/result/FilterPanelContainer"));
var _SearchEntryPanel = _interopRequireDefault(require("../search/entry/SearchEntryPanel"));
var _SearchResultPanelContainer = _interopRequireDefault(require("../search/result/SearchResultPanelContainer"));
var _ScrollTopButton = _interopRequireDefault(require("../layout/ScrollTopButton"));
var _ToggleFilterPanelButton = _interopRequireDefault(require("../layout/ToggleFilterPanelButton"));
var _ids = require("../../constants/ids");
var _SearchPage = _interopRequireDefault(require("../../../styles/cspace/SearchPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* global window */

const propTypes = {
  intl: _propTypes.default.shape({
    formatMessage: _propTypes.default.func.isRequired
  }).isRequired,
  location: _propTypes.default.shape({
    search: _propTypes.default.string
  }).isRequired,
  isFilterPanelExpanded: _propTypes.default.bool,
  onLocationChange: _propTypes.default.func,
  onTogglePanelButtonClick: _propTypes.default.func,
  params: _propTypes.default.instanceOf(_immutable.default.Map)
};
const defaultProps = {
  isFilterPanelExpanded: false,
  onLocationChange: () => undefined,
  onTogglePanelButtonClick: () => undefined,
  params: undefined
};
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "SearchPage.title",
    "defaultMessage": "Search"
  }
});
class SearchPage extends _react.Component {
  constructor() {
    super();
    this.handleFilterPanelApi = this.handleFilterPanelApi.bind(this);
    this.handleSearchResultListHitsUpdated = this.handleSearchResultListHitsUpdated.bind(this);
    this.handleToggleFilterPanelButtonClick = this.handleToggleFilterPanelButtonClick.bind(this);
  }
  componentDidMount() {
    window.document.body.classList.add((0, _bodyClassName.default)(_SearchPage.default.common));
    if (window.scrollTo) {
      window.scrollTo({
        left: 0,
        top: 0
      });
    }
    this.handleLocationChange();
  }
  componentDidUpdate(prevProps) {
    const {
      location
    } = this.props;
    const {
      location: prevLocation
    } = prevProps;
    if (location !== prevLocation) {
      this.handleLocationChange();
    }
  }
  componentWillUnmount() {
    window.document.body.classList.remove((0, _bodyClassName.default)(_SearchPage.default.common));
  }
  handleFilterPanelApi(api) {
    this.filterPanelApi = api;
  }
  handleLocationChange() {
    const {
      location,
      onLocationChange
    } = this.props;
    onLocationChange(location);
  }
  handleSearchResultListHitsUpdated() {
    if (this.filterPanelApi) {
      this.filterPanelApi.setHeight();
    }
  }
  handleToggleFilterPanelButtonClick() {
    const {
      onTogglePanelButtonClick
    } = this.props;
    onTogglePanelButtonClick(_ids.FILTER_PANEL_ID);
  }
  render() {
    const {
      intl,
      isFilterPanelExpanded,
      params
    } = this.props;
    if (!params) {
      return null;
    }
    const title = intl.formatMessage(messages.title);
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _SearchPage.default.common
    }, /*#__PURE__*/_react.default.createElement(_reactHelmet.default, null, /*#__PURE__*/_react.default.createElement("title", null, title)), /*#__PURE__*/_react.default.createElement(_Fixed.default, null, /*#__PURE__*/_react.default.createElement(_SearchEntryPanel.default, null), /*#__PURE__*/_react.default.createElement(_ToggleFilterPanelButton.default, {
      isFilterPanelExpanded: isFilterPanelExpanded,
      onClick: this.handleToggleFilterPanelButtonClick
    }), /*#__PURE__*/_react.default.createElement(_FilterPanelContainer.default, {
      api: this.handleFilterPanelApi,
      isExpanded: isFilterPanelExpanded
    })), /*#__PURE__*/_react.default.createElement(_SearchResultPanelContainer.default, {
      params: params,
      onHitsUpdated: this.handleSearchResultListHitsUpdated
    }), /*#__PURE__*/_react.default.createElement(_ScrollTopButton.default, null));
  }
}
SearchPage.propTypes = propTypes;
SearchPage.defaultProps = defaultProps;
var _default = (0, _reactIntl.injectIntl)((0, _reactRouter.withRouter)(SearchPage));
exports.default = _default;