"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactRouter = require("react-router");
var _immutable = _interopRequireDefault(require("immutable"));
var _SearchQueryInput = _interopRequireDefault(require("./SearchQueryInput"));
var _ids = require("../../../constants/ids");
var _SearchEntryForm = _interopRequireDefault(require("../../../../styles/cspace/SearchEntryForm.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  history: _propTypes.default.shape({
    push: _propTypes.default.func
  }).isRequired,
  onCommit: _propTypes.default.func,
  onSubmit: _propTypes.default.func,
  params: _propTypes.default.instanceOf(_immutable.default.Map)
};
const defaultProps = {
  onCommit: () => undefined,
  onSubmit: () => undefined,
  params: _immutable.default.Map()
};
class SearchEntryForm extends _react.Component {
  constructor() {
    super();
    this.handleInputCommit = this.handleInputCommit.bind(this);
    this.handleRef = this.handleRef.bind(this);
    this.handleSubmit = this.handleSubmit.bind(this);
  }
  handleInputCommit(id, value) {
    const {
      onCommit
    } = this.props;
    onCommit(id, value);
  }
  handleRef(ref) {
    this.domNode = ref;
  }
  handleSubmit(event) {
    const {
      history,
      onSubmit
    } = this.props;
    event.preventDefault();
    onSubmit(history);
  }
  render() {
    const {
      params
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("form", {
      className: _SearchEntryForm.default.common,
      ref: this.handleRef,
      role: "search",
      onSubmit: this.handleSubmit
    }, /*#__PURE__*/_react.default.createElement(_SearchQueryInput.default, {
      id: _ids.SEARCH_QUERY_ID,
      showSubmitButton: true,
      value: params.get(_ids.SEARCH_QUERY_ID),
      onCommit: this.handleInputCommit
    }));
  }
}
SearchEntryForm.propTypes = propTypes;
SearchEntryForm.defaultProps = defaultProps;
var _default = (0, _reactRouter.withRouter)(SearchEntryForm);
exports.default = _default;