"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _SearchSubmitButton = _interopRequireDefault(require("./SearchSubmitButton"));
var _SearchQueryInput = _interopRequireDefault(require("../../../../styles/cspace/SearchQueryInput.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  id: _propTypes.default.string.isRequired,
  intl: _propTypes.default.shape({
    formatMessage: _propTypes.default.func.isRequired
  }).isRequired,
  onCommit: _propTypes.default.func,
  showSubmitButton: _propTypes.default.bool,
  value: _propTypes.default.string
};
const defaultProps = {
  onCommit: () => undefined,
  showSubmitButton: false,
  value: ''
};
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "searchQueryInput.label",
    "defaultMessage": "Search collection"
  },
  placeholder: {
    "id": "searchQueryInput.placeholder",
    "defaultMessage": "Search collection"
  },
  shortLabel: {
    "id": "searchQueryInput.shortLabel",
    "defaultMessage": "Search"
  }
});
exports.messages = messages;
class SearchQueryInput extends _react.Component {
  constructor() {
    super();
    this.handleChange = this.handleChange.bind(this);
  }
  handleChange(event) {
    const {
      id,
      onCommit
    } = this.props;
    onCommit(id, event.target.value);
  }
  commit() {
    const {
      id,
      onCommit
    } = this.props;
    if (this.inputDomNode) {
      onCommit(id, this.inputDomNode.value);
    }
  }
  render() {
    const {
      id,
      intl,
      showSubmitButton,
      value
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _SearchQueryInput.default.common
    }, /*#__PURE__*/_react.default.createElement("input", {
      "aria-label": intl.formatMessage(messages.label),
      autoComplete: "off",
      autoCorrect: "off",
      name: id,
      placeholder: intl.formatMessage(messages.placeholder),
      type: "search",
      value: value,
      onChange: this.handleChange
    }), showSubmitButton && /*#__PURE__*/_react.default.createElement(_SearchSubmitButton.default, null));
  }
}
SearchQueryInput.propTypes = propTypes;
SearchQueryInput.defaultProps = defaultProps;
var _default = (0, _reactIntl.injectIntl)(SearchQueryInput);
exports.default = _default;