"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactRouter = require("react-router");
var _reactIntl = require("react-intl");
var _config = _interopRequireDefault(require("../../../config"));
var _SortSelect = _interopRequireDefault(require("../../../../styles/cspace/SortSelect.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  history: _propTypes.default.shape({
    push: _propTypes.default.func
  }).isRequired,
  intl: _propTypes.default.shape({
    formatMessage: _propTypes.default.func.isRequired
  }).isRequired,
  onCommit: _propTypes.default.func,
  value: _propTypes.default.string
};
const defaultProps = {
  onCommit: () => undefined,
  value: _config.default.get('defaultSortOrder')
};
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "sortSelect.label",
    "defaultMessage": "Sort results by"
  },
  bestmatch: {
    "id": "sortSelect.bestmatch",
    "defaultMessage": "Best match"
  },
  atoz: {
    "id": "sortSelect.atoz",
    "defaultMessage": "A to Z"
  },
  ztoa: {
    "id": "sortSelect.ztoa",
    "defaultMessage": "Z to A"
  },
  newest: {
    "id": "sortSelect.newest",
    "defaultMessage": "Newest"
  },
  oldest: {
    "id": "sortSelect.oldest",
    "defaultMessage": "Oldest"
  }
});
class SortSelect extends _react.Component {
  constructor() {
    super();
    this.handleChange = this.handleChange.bind(this);
  }
  handleChange(event) {
    const {
      history,
      onCommit
    } = this.props;
    onCommit(history, event.target.value);
  }
  render() {
    const {
      intl,
      value
    } = this.props;
    return /*#__PURE__*/_react.default.createElement("label", {
      htmlFor: "sort-select"
    }, "Sort by", ' ', /*#__PURE__*/_react.default.createElement("select", {
      className: _SortSelect.default.common,
      id: "sort-select",
      value: value,
      onChange: this.handleChange
    }, ['bestmatch', 'atoz', 'ztoa', 'newest', 'oldest'].map(sortOrder => /*#__PURE__*/_react.default.createElement("option", {
      key: sortOrder,
      value: sortOrder
    }, intl.formatMessage(messages[sortOrder])))));
  }
}
SortSelect.propTypes = propTypes;
SortSelect.defaultProps = defaultProps;
var _default = (0, _reactRouter.withRouter)((0, _reactIntl.injectIntl)(SortSelect));
exports.default = _default;