"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FilterList;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _FilterGroup = _interopRequireDefault(require("./FilterGroup"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  config: _propTypes.default.shape({
    fields: _propTypes.default.object.isRequired,
    groups: _propTypes.default.object.isRequired,
    layout: _propTypes.default.object.isRequired
  }).isRequired,
  isPending: _propTypes.default.bool,
  aggregations: _propTypes.default.instanceOf(_immutable.default.Map)
};
const defaultProps = {
  aggregations: _immutable.default.Map(),
  isPending: _propTypes.default.bool
};
function FilterList(props) {
  const {
    aggregations,
    config,
    isPending
  } = props;
  const {
    fields,
    groups,
    layout
  } = config;
  return Object.keys(layout).map(layoutId => /*#__PURE__*/_react.default.createElement("div", {
    key: layoutId
  }, layout[layoutId].map(groupId => /*#__PURE__*/_react.default.createElement(_FilterGroup.default, {
    aggregations: aggregations,
    config: groups[groupId],
    fieldsConfig: fields,
    id: groupId,
    isPending: isPending,
    key: groupId
  }))));
}
FilterList.propTypes = propTypes;
FilterList.defaultProps = defaultProps;