"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _FilterSearchInput = _interopRequireDefault(require("../../../../styles/cspace/FilterSearchInput.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  intl: _propTypes.default.shape({
    formatMessage: _propTypes.default.func.isRequired
  }).isRequired,
  onCommit: _propTypes.default.func,
  value: _propTypes.default.string
};
const defaultProps = {
  onCommit: () => undefined,
  value: ''
};
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "filterSearchInput.label",
    "defaultMessage": "Search"
  }
});
class FilterSearchInput extends _react.Component {
  constructor() {
    super();
    this.handleChange = this.handleChange.bind(this);
  }
  handleChange(event) {
    const {
      onCommit
    } = this.props;
    onCommit(event.target.value);
  }
  render() {
    const {
      intl,
      value
    } = this.props;
    const label = intl.formatMessage(messages.label);
    return (
      /*#__PURE__*/
      // eslint-disable-next-line jsx-a11y/label-has-associated-control
      _react.default.createElement("label", null, label, /*#__PURE__*/_react.default.createElement("input", {
        className: _FilterSearchInput.default.common,
        type: "search",
        value: value,
        onChange: this.handleChange
      }))
    );
  }
}
FilterSearchInput.propTypes = propTypes;
FilterSearchInput.defaultProps = defaultProps;
var _default = (0, _reactIntl.injectIntl)(FilterSearchInput);
exports.default = _default;