"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SearchParamList;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _ClearSearchParamsLink = _interopRequireDefault(require("./ClearSearchParamsLink"));
var _RemoveSearchParamLink = _interopRequireDefault(require("./RemoveSearchParamLink"));
var _ids = require("../../../constants/ids");
var _SearchParamList = _interopRequireDefault(require("../../../../styles/cspace/SearchParamList.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  params: _propTypes.default.instanceOf(_immutable.default.Map)
};
const defaultProps = {
  params: _immutable.default.Map()
};
function SearchParamList(props) {
  const {
    params
  } = props;
  const removableParams = params.delete(_ids.SORT_ID);
  if (removableParams.size === 0) {
    return null;
  }
  const paramButtons = removableParams.keySeq().map(id => /*#__PURE__*/_react.default.createElement(_RemoveSearchParamLink.default, {
    id: id,
    key: id,
    params: params
  }));
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchParamList.default.common
  }, paramButtons, /*#__PURE__*/_react.default.createElement(_ClearSearchParamsLink.default, {
    params: params
  }));
}
SearchParamList.propTypes = propTypes;
SearchParamList.defaultProps = defaultProps;