"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactIntl = require("react-intl");
var _formatHelpers = require("../helpers/formatHelpers");
var _default = {
  gatewayUrl: 'http://localhost:8180/gateway/bonsai',
  messages: {
    'filter.objectProductionPerson.label': 'Original artist',
    'filter.objectProductionPerson.shortLabel': 'Original artist',
    'detailField.objectProductionPerson.label': 'Original artist'
  },
  detailFields: {
    fields: {
      originDate: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "detailField.originDate.label",
            "defaultMessage": "Date of origin"
          }
        }),
        field: 'collectionobjects_common:objectProductionDateGroupList',
        format: (0, _formatHelpers.valueAt)({
          path: [0, 'dateDisplayDate']
        })
      },
      trainingDate: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "detailField.trainingDate.label",
            "defaultMessage": "In training since"
          }
        }),
        field: 'collectionobjects_common:objectProductionDateGroupList',
        format: (0, _formatHelpers.valueAt)({
          path: [1, 'dateDisplayDate']
        })
      }
    },
    groups: {
      group_production: {
        fields: ['objectProductionPerson', 'objectProductionOrganization', 'objectProductionPeople', 'objectProductionPlace', 'originDate', 'trainingDate']
      }
    }
  }
};
exports.default = _default;