"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _get = _interopRequireDefault(require("lodash/get"));
var _merge = _interopRequireDefault(require("lodash/merge"));
var _default2 = _interopRequireDefault(require("./default"));
var _anthro = _interopRequireDefault(require("./anthro"));
var _bonsai = _interopRequireDefault(require("./bonsai"));
var _botgarden = _interopRequireDefault(require("./botgarden"));
var _fcart = _interopRequireDefault(require("./fcart"));
var _herbarium = _interopRequireDefault(require("./herbarium"));
var _lhmc = _interopRequireDefault(require("./lhmc"));
var _materials = _interopRequireDefault(require("./materials"));
var _publicart = _interopRequireDefault(require("./publicart"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const namedConfig = {
  anthro: _anthro.default,
  bonsai: _bonsai.default,
  botgarden: _botgarden.default,
  fcart: _fcart.default,
  herbarium: _herbarium.default,
  lhmc: _lhmc.default,
  materials: _materials.default,
  publicart: _publicart.default
};
const config = (0, _merge.default)({}, _default2.default);
var _default = {
  get: (path, defaultValue) => (0, _get.default)(config, path, defaultValue),
  // eslint-disable-next-line no-console
  log: () => console.log(config),
  merge: function () {
    for (var _len = arguments.length, sources = new Array(_len), _key = 0; _key < _len; _key++) {
      sources[_key] = arguments[_key];
    }
    sources.forEach(source => {
      const {
        baseConfig: baseConfigName
      } = source;
      if (baseConfigName) {
        const baseConfig = namedConfig[baseConfigName];
        if (baseConfig) {
          (0, _merge.default)(config, baseConfig);
        }
      }
      (0, _merge.default)(config, source);
    });
  },
  getFilterFieldConfig: id => (0, _get.default)(config, ['filters', 'fields', id])
};
exports.default = _default;