"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.calculateSearchPageSize = calculateSearchPageSize;
exports.tileWidth = exports.tileHeight = exports.tileBodyHeight = void 0;
var _dimensions = _interopRequireDefault(require("../../styles/dimensions.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* global window */

const {
  searchResultTileWidth: cssTileWidth,
  searchResultTileBodyHeight: cssTileBodyHeight
} = _dimensions.default;
const tileWidth = parseInt(cssTileWidth, 10);
exports.tileWidth = tileWidth;
const tileBodyHeight = parseInt(cssTileBodyHeight, 10);
exports.tileBodyHeight = tileBodyHeight;
const tileHeight = tileWidth + tileBodyHeight;
exports.tileHeight = tileHeight;
function calculateSearchPageSize() {
  const width = window.innerWidth;
  const height = window.innerHeight;
  const ratio = window.devicePixelRatio || 1;
  const pageSize = width / tileWidth * (height / tileHeight + 2) / ratio;
  return Math.max(Math.ceil(pageSize), 12);
}