"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = require("react-dom");
var _reactIntl = require("react-intl");
var _redux = require("redux");
var _reactRedux = require("react-redux");
var _reduxThunk = _interopRequireDefault(require("redux-thunk"));
var _warning = _interopRequireDefault(require("warning"));
var _prefsActions = require("./actions/prefsActions");
var _config = _interopRequireDefault(require("./config"));
var _App = _interopRequireDefault(require("./components/App"));
var _intl = require("./intl");
var _reducers = _interopRequireDefault(require("./reducers"));
var formatters = _interopRequireWildcard(require("./helpers/formatHelpers"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* global document, window */

const cspacePublicBrowser = function () {
  _config.default.merge(...arguments);
  const container = _config.default.get('container');
  const mountNode = document.querySelector(container);
  process.env.NODE_ENV !== "production" ? (0, _warning.default)(mountNode, `No container element was found using the selector '${container}'. The CollectionSpace collection browser will not be rendered.`) : void 0;
  if (!mountNode) {
    return;
  }

  // eslint-disable-next-line no-underscore-dangle
  const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || _redux.compose;
  const store = (0, _redux.createStore)(_reducers.default, composeEnhancers((0, _redux.applyMiddleware)(_reduxThunk.default)));
  store.dispatch((0, _prefsActions.loadPrefs)());
  const locale = _config.default.get('locale');
  const messages = _config.default.get('messages');
  const intl = (0, _intl.createIntl)({
    locale,
    messages,
    defaultLocale: 'en-US'
  });
  (0, _reactDom.render)( /*#__PURE__*/_react.default.createElement(_reactIntl.RawIntlProvider, {
    value: intl
  }, /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
    store: store
  }, /*#__PURE__*/_react.default.createElement(_App.default, null))), mountNode);
};
cspacePublicBrowser.formatters = formatters;
var _default = cspacePublicBrowser;
exports.default = _default;