"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.searchHasMore = exports.isSearchPending = exports.isPanelExpanded = exports.isDetailPending = exports.isDetailInstSearchPending = exports.getSearchResult = exports.getSearchParams = exports.getSearchPageSize = exports.getSearchOffset = exports.getSearchNextOffset = exports.getSearchError = exports.getSearchEntryFormParams = exports.getPrefs = exports.getMedia = exports.getFilterSearchValue = exports.getDetailParams = exports.getDetailInstitutionHits = exports.getDetailHoldingInstitutions = exports.getDetailError = exports.getDetailData = exports.getDetailAdjacents = exports.default = void 0;
var _redux = require("redux");
var fromDetail = _interopRequireWildcard(require("./detailReducer"));
var fromFilter = _interopRequireWildcard(require("./filterReducer"));
var fromMedia = _interopRequireWildcard(require("./mediaReducer"));
var fromPrefs = _interopRequireWildcard(require("./prefsReducer"));
var fromSearch = _interopRequireWildcard(require("./searchReducer"));
var fromSearchEntryForm = _interopRequireWildcard(require("./searchEntryFormReducer"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var _default = (0, _redux.combineReducers)({
  detail: fromDetail.default,
  filter: fromFilter.default,
  media: fromMedia.default,
  prefs: fromPrefs.default,
  search: fromSearch.default,
  searchEntryForm: fromSearchEntryForm.default
});
exports.default = _default;
const getDetailAdjacents = state => fromDetail.getAdjacents(state.detail);
exports.getDetailAdjacents = getDetailAdjacents;
const getDetailError = state => fromDetail.getError(state.detail);
exports.getDetailError = getDetailError;
const getDetailParams = state => fromDetail.getParams(state.detail);
exports.getDetailParams = getDetailParams;
const getDetailData = state => fromDetail.getData(state.detail);
exports.getDetailData = getDetailData;
const isDetailPending = state => fromDetail.isPending(state.detail);
exports.isDetailPending = isDetailPending;
const getDetailHoldingInstitutions = state => fromDetail.getHoldingInstitutions(state.detail);
exports.getDetailHoldingInstitutions = getDetailHoldingInstitutions;
const getDetailInstitutionHits = (state, institutionId) => fromDetail.getInstitutionHits(state.detail, institutionId);
exports.getDetailInstitutionHits = getDetailInstitutionHits;
const isDetailInstSearchPending = (state, institutionId) => fromDetail.isInstSearchPending(state.detail, institutionId);
exports.isDetailInstSearchPending = isDetailInstSearchPending;
const getFilterSearchValue = (state, id) => fromFilter.getSearchValue(state.filter, id);
exports.getFilterSearchValue = getFilterSearchValue;
const getMedia = (state, referenceValue, institutionId) => fromMedia.get(state.media, referenceValue, institutionId);
exports.getMedia = getMedia;
const getPrefs = state => state.prefs;
exports.getPrefs = getPrefs;
const isPanelExpanded = (state, id) => fromPrefs.isPanelExpanded(state.prefs, id);
exports.isPanelExpanded = isPanelExpanded;
const getSearchError = state => fromSearch.getError(state.search);
exports.getSearchError = getSearchError;
const getSearchOffset = state => fromSearch.getOffset(state.search);
exports.getSearchOffset = getSearchOffset;
const getSearchNextOffset = state => fromSearch.getNextOffset(state.search);
exports.getSearchNextOffset = getSearchNextOffset;
const getSearchPageSize = state => fromSearch.getPageSize(state.search);
exports.getSearchPageSize = getSearchPageSize;
const getSearchParams = state => fromSearch.getParams(state.search);
exports.getSearchParams = getSearchParams;
const getSearchResult = state => fromSearch.getResult(state.search);
exports.getSearchResult = getSearchResult;
const isSearchPending = state => fromSearch.isPending(state.search);
exports.isSearchPending = isSearchPending;
const searchHasMore = state => fromSearch.hasMore(state.search);
exports.searchHasMore = searchHasMore;
const getSearchEntryFormParams = state => fromSearchEntryForm.getParams(state.searchEntryForm);
exports.getSearchEntryFormParams = getSearchEntryFormParams;