"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPanelExpanded = exports.default = void 0;
var _immutable = _interopRequireDefault(require("immutable"));
var _actionCodes = require("../constants/actionCodes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const setPanelExpanded = (state, id, expanded) => state.setIn(['panels', id, 'expand'], expanded);
const isPanelExpanded = (state, id) => state.getIn(['panels', id, 'expand']);
exports.isPanelExpanded = isPanelExpanded;
var _default = function _default() {
  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _immutable.default.Map();
  let action = arguments.length > 1 ? arguments[1] : undefined;
  switch (action.type) {
    case _actionCodes.PREFS_LOADED:
      return action.payload ? _immutable.default.fromJS(action.payload) : _immutable.default.Map();
    case _actionCodes.EXPAND_PANEL:
      return setPanelExpanded(state, action.meta.id, action.payload);
    case _actionCodes.TOGGLE_PANEL:
      return setPanelExpanded(state, action.meta.id, !isPanelExpanded(state, action.meta.id));
    default:
      return state;
  }
};
exports.default = _default;